Skip to content
Streamkap
Esc
navigateopen⌘Jpreview

Get Logs

Get logs

POST/logs
Authorization
AuthorizationBearer token · headerrequired
Query parameters
sizeinteger | any
frominteger | any
log_levelstring | any

A comma-separated list of log level. Example: INFO,WARN

query_stringstring | any
timestamp_tostring | string<date-time> | any

Example: 2025-07-30T07:54:13.922

timestamp_fromstring | string<date-time> | any

Example: 2025-07-30T07:54:13.922

Request body
requiredapplication/json
source_idsstring[]
default: []
destination_idsstring[]
default: []
transform_idsstring[]
default: []
Responses
200

Successful Response

any
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X POST "https://api.streamkap.com/logs" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "source_ids": [],
  "destination_ids": [],
  "transform_ids": []
}'
Response
Successful Response